Description

Steps

e Upgraded firmware to version 4.3.13
¢ Configured them via unifi network
e Connect them to an IPv6 only network

Result

¢ Access point turn off the radio shortly after booting
o Tested via "wpa_cli -i wlan0 scan" on computers nearby
o This does not happen if the AP gets an IPv4 address via dhcp

Source of problem

It seems that the uplink-monitor fails to detect the IPv6 uplink and according to
https://community.ui.com/questions/UniFi-Controller-Connectivity-Monitor/630191eb-b6a1-4354-898b-610211197414 if there is no
uplink, the radios are disabled.

Further issues

¢ |t seems /etc/resolv.conf is empty
o this might be, because rdnssd is not running

History

#1 - 05/31/2020 06:04 PM - Nico Schottelius

- Project changed from Open Infrastructure to ipv6

#2 - 05/31/2020 06:06 PM - Nico Schottelius
- Description updated

#3 - 05/31/2020 06:11 PM - Nico Schottelius

Debugging further:

ubnt-1r-1-BZ.v4.3.13# ps w | grep hostap
1380 ubnt 6164 S /usr/sbin/hostapd -d -s /etc/aaal.cfg
1381 ubnt 6164 S /usr/sbin/hostapd -d -s /etc/aaa3.cfg
4392 ubnt 1228 S grep hostap

ubnt-1r-1-BZ.v4.3.13# cat /etc/aaal.cfg
interface=athO
ctrl_interface=/var/run/hostapd
bridge=br0

driver=atheros
nas_identifier=$bssid

wpa=3

eapol_version=2

ssid=dg ipv6

wpa_group_rekey=0
wpa_group_update_count=4

03/20/2024 12



https://community.ui.com/questions/UniFi-Controller-Connectivity-Monitor/630191eb-b6a1-4354-898b-610211197414

wpa_gmk_rekey=86400
wpa_passphrase=ungleich
wpa_pairwise=TKIP CCMP
wpa_key_mgmt=WPA-PSK
logger_syslog=-1
logger_syslog_level=1
wlan_id=cl2b
own_ip_addr=192.168.1.20
ubnt-1r-1-BZ.v4.3.13#

It has a record of an own ip, which it actually set it up.
In the log this message might be the reason why the radio is turned off:

Thu Apr 30 15:42:53 2020 user.err : uplink-monitor[1446]: uplink-monitor.get_link_info(): uplink addr i
s null

#4 - 05/31/2020 06:14 PM - Nico Schottelius
- Description updated

#5 - 05/31/2020 06:40 PM - Nico Schottelius
- Description updated

#6 - 01/02/2024 02:44 PM - Nico Schottelius

- Status changed from In Progress to Rejected
